Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.binding
[Groovy] Class JListElementsBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JListElementsBinding

All Implemented Interfaces:
  javax.swing.event.ListDataListener, java.beans.PropertyChangeListener

    class JListElementsBinding
    extends AbstractSyntheticBinding

Field Summary

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Property Summary
`javax.swing.JList` | `boundList`

Constructor Summary
`JListElementsBinding(PropertyBinding propertyBinding, TargetBinding target)`

Method Summary
`void` | `contentsChanged(javax.swing.event.ListDataEvent e)`
`void` | `intervalAdded(javax.swing.event.ListDataEvent e)`
`void` | `intervalRemoved(javax.swing.event.ListDataEvent e)`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`protected void` | `syntheticBind()`
`protected void` | `syntheticUnbind()`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Property Detail

### boundList

    javax.swing.JList boundList

Constructor Detail

### JListElementsBinding

    JListElementsBinding(PropertyBinding propertyBinding, TargetBinding target)

Method Detail

### contentsChanged

    void contentsChanged(javax.swing.event.ListDataEvent e)

### intervalAdded

    void intervalAdded(javax.swing.event.ListDataEvent e)

### intervalRemoved

    void intervalRemoved(javax.swing.event.ListDataEvent e)

### propertyChange

    void propertyChange(java.beans.PropertyChangeEvent event)

### syntheticBind

    protected void syntheticBind()

### syntheticUnbind

    protected void syntheticUnbind()

Groovy Documentation